﻿//-----------------------------------------------------------------------------
// <copyright file="ScoreEvent.cs" company="eQ-3 Entwicklung GmbH">
//  Copyright (c) 2014 eQ-3 Entwicklung GmbH
// </copyright>
// <summary>Special EventArgs to transmit a score.</summary>
//-----------------------------------------------------------------------------
namespace MMM8x8Snake
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Special EventArgs to transmit a score.
    /// </summary>
    public class ScoreEvent : EventArgs
    {
        /// <summary>
        /// Initializes a new instance of the ScoreEvent class.
        /// </summary>
        /// <param name="score">Score to transmit.</param>
        public ScoreEvent(int score) : base()
        {
            this.Score = score;
        }

        /// <summary>
        /// Gets or sets the transmitted score.
        /// </summary>
        /// <value>Transmitted score.</value>
        public int Score { get; set; }
    }
}
